/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "PipeWire", "index.html", [
    [ "Introduction", "index.html#sec_intro", null ],
    [ "Error reporting", "index.html#sec_errors", null ],
    [ "Logging", "index.html#sec_logging", null ],
    [ "Core API", "page_context_api.html", "page_context_api" ],
    [ "Control", "page_control.html", [
      [ "Overview", "page_control.html#page_control_overview", null ]
    ] ],
    [ "pw_core", "page_iface_pw_core.html", [
      [ "Description", "page_iface_pw_core.html#page_iface_pw_core_desc", null ],
      [ "API", "page_iface_pw_core.html#page_iface_pw_core", null ]
    ] ],
    [ "Registry", "page_registry.html", [
      [ "Overview", "page_registry.html#page_registry_overview", null ]
    ] ],
    [ "Proxy", "page_proxy.html", [
      [ "Overview", "page_proxy.html#sec_page_proxy_overview", null ],
      [ "Core proxy", "page_proxy.html#sec_page_proxy_core", null ],
      [ "Create", "page_proxy.html#sec_page_proxy_create", null ],
      [ "Bind", "page_proxy.html#sec_page_proxy_bind", null ],
      [ "Methods", "page_proxy.html#sec_page_proxy_methods", null ],
      [ "Events", "page_proxy.html#sec_page_proxy_events", null ],
      [ "Destroy", "page_proxy.html#sec_page_proxy_destroy", null ]
    ] ],
    [ "Media Streams", "page_streams.html", [
      [ "Overview", "page_streams.html#sec_overview", null ],
      [ "Create", "page_streams.html#sec_create", null ],
      [ "Connect", "page_streams.html#sec_connect", [
        [ "Stream target", "page_streams.html#ssec_stream_target", null ],
        [ "Stream formats", "page_streams.html#ssec_stream_formats", null ]
      ] ],
      [ "Format negotiation", "page_streams.html#sec_format", null ],
      [ "Buffer negotiation", "page_streams.html#sec_buffers", null ],
      [ "Streaming", "page_streams.html#sec_streaming", [
        [ "Consume data", "page_streams.html#ssec_consume", null ],
        [ "Produce data", "page_streams.html#ssec_produce", null ]
      ] ],
      [ "Disconnect", "page_streams.html#sec_stream_disconnect", null ]
    ] ],
    [ "Threaded Loop", "page_thread_loop.html", [
      [ "Overview", "page_thread_loop.html#sec_thread_loop_overview", null ],
      [ "Creation", "page_thread_loop.html#sec_thread_loop_create", null ],
      [ "Destruction", "page_thread_loop.html#sec_thread_loop_destruction", null ],
      [ "Locking", "page_thread_loop.html#sec_thread_loop_locking", null ],
      [ "Events and Callbacks", "page_thread_loop.html#sec_thread_loop_events", null ]
    ] ],
    [ "PipeWire Overview", "md__builddir_build_BUILD_pipewire_0_3_28_doc_overview.html", [
      [ "Motivation", "md__builddir_build_BUILD_pipewire_0_3_28_doc_overview.html#autotoc_md1", null ],
      [ "Components", "md__builddir_build_BUILD_pipewire_0_3_28_doc_overview.html#autotoc_md2", [
        [ "The PipeWire daemon", "md__builddir_build_BUILD_pipewire_0_3_28_doc_overview.html#autotoc_md3", null ],
        [ "The example session manager", "md__builddir_build_BUILD_pipewire_0_3_28_doc_overview.html#autotoc_md4", null ],
        [ "Tools", "md__builddir_build_BUILD_pipewire_0_3_28_doc_overview.html#autotoc_md5", null ],
        [ "Application development", "md__builddir_build_BUILD_pipewire_0_3_28_doc_overview.html#autotoc_md6", null ]
      ] ]
    ] ],
    [ "PipeWire Architecture", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html", [
      [ "Principles", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md8", null ],
      [ "Versioning", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md9", null ],
      [ "Proxies and resources", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md10", null ],
      [ "Interfaces", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md11", [
        [ "<tt>struct pw_loop</tt>", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md12", null ],
        [ "<tt>struct pw_context</tt>", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md13", null ],
        [ "<tt>struct pw_core</tt>", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md14", null ],
        [ "<tt>struct pw_registry</tt>", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md15", null ],
        [ "<tt>struct pw_module</tt>", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md16", null ],
        [ "<tt>struct pw_factory</tt>", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md17", null ],
        [ "<tt>struct pw_device</tt>", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md18", null ],
        [ "<tt>struct pw_node</tt>", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md19", null ],
        [ "<tt>struct pw_port</tt>", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md20", null ],
        [ "<tt>struct pw_link</tt>", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md21", null ]
      ] ],
      [ "High level helper objects", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md22", [
        [ "<tt>struct pw_filter</tt>", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md23", null ],
        [ "<tt>struct pw_stream</tt>", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md24", null ]
      ] ],
      [ "Security", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md25", null ],
      [ "Implementation", "md__builddir_build_BUILD_pipewire_0_3_28_doc_architecture.html#autotoc_md26", null ]
    ] ],
    [ "PipeWire Objects Design", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html", [
      [ "The media graph", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md28", [
        [ "Node", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md29", null ],
        [ "Port", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md30", null ],
        [ "Link", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md31", null ]
      ] ],
      [ "The session management graph", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md32", [
        [ "Endpoint", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md33", [
          [ "Target", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md34", null ]
        ] ],
        [ "Endpoint Stream", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md35", null ],
        [ "Endpoint Link", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md36", [
          [ "Constructing", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md37", null ]
        ] ]
      ] ],
      [ "Other related objects", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md38", [
        [ "Device", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md39", null ],
        [ "Session", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md40", [
          [ "Default endpoints", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md41", null ],
          [ "Multiple sessions", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md42", null ]
        ] ]
      ] ],
      [ "Mappings to underlying subsystem objects", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md43", [
        [ "ALSA UCM", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md44", null ],
        [ "ALSA fallback", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md45", null ],
        [ "V4L2", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md46", null ]
      ] ],
      [ "Relationship to other APIs", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md47", [
        [ "PulseAudio", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md48", [
          [ "Mapping PipeWire objects for access by PulseAudio clients", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md49", null ],
          [ "Mapping PulseAudio clients to PipeWire", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md50", null ]
        ] ],
        [ "Jack", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md51", [
          [ "Mapping PipeWire objects for access by JACK clients", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md52", null ],
          [ "Mapping JACK clients to PipeWire", "md__builddir_build_BUILD_pipewire_0_3_28_doc_objects_design.html#autotoc_md53", null ]
        ] ]
      ] ]
    ] ],
    [ "Tutorial - The PipeWire API", "md__builddir_build_BUILD_pipewire_0_3_28_doc_tutorial_index.html", null ],
    [ "Tutorial - Part 1: Getting started", "md__builddir_build_BUILD_pipewire_0_3_28_doc_tutorial1.html", [
      [ "Initialization", "md__builddir_build_BUILD_pipewire_0_3_28_doc_tutorial1.html#autotoc_md56", null ],
      [ "Compilation", "md__builddir_build_BUILD_pipewire_0_3_28_doc_tutorial1.html#autotoc_md57", null ]
    ] ],
    [ "Tutorial - Part 2: Enumerating objects", "md__builddir_build_BUILD_pipewire_0_3_28_doc_tutorial2.html", null ],
    [ "Tutorial - Part 3: Forcing a roundtrip (Tutorial 3)", "md__builddir_build_BUILD_pipewire_0_3_28_doc_tutorial3.html", null ],
    [ "Tutorial - Part 4: Playing a tone", "md__builddir_build_BUILD_pipewire_0_3_28_doc_tutorial4.html", null ],
    [ "Tutorial - Part 5: Capturing video frames", "md__builddir_build_BUILD_pipewire_0_3_28_doc_tutorial5.html", null ],
    [ "Tutorial - Part 6: Binding objects", "md__builddir_build_BUILD_pipewire_0_3_28_doc_tutorial6.html", null ],
    [ "SPA (Simple Plugin API)", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_index.html", null ],
    [ "SPA Design", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html", [
      [ "Conventions", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md65", [
        [ "Types", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md66", null ],
        [ "Error codes", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md67", null ],
        [ "Useful macros", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md68", null ]
      ] ],
      [ "SPA Plugin", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md69", [
        [ "Open a plugin", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md70", null ],
        [ "Enumerating factories", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md71", null ],
        [ "Making a handle", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md72", null ],
        [ "Retrieving an interface", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md73", null ],
        [ "Clearing an object", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md74", null ]
      ] ],
      [ "SPA Interfaces", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md75", [
        [ "SPA Events", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md76", null ],
        [ "API results", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md77", [
          [ "Synchronous results", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md78", null ],
          [ "Asynchronous results", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md79", null ]
        ] ]
      ] ],
      [ "Implementing a new plugin", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_design.html#autotoc_md80", null ]
    ] ],
    [ "SPA POD", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html", [
      [ "Types", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md82", null ],
      [ "Constructing a POD", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md83", [
        [ "Using varargs builder.", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md84", null ],
        [ "Making objects", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md85", null ],
        [ "Choice values", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md86", null ],
        [ "Choice examples", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md87", null ],
        [ "Fixate", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md88", null ]
      ] ],
      [ "Parsing a POD", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md89", [
        [ "Validating bytes", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md90", null ],
        [ "Checking the type of POD", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md91", null ],
        [ "Struct fields", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md92", null ],
        [ "Object Properties", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md93", null ],
        [ "Parser", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md94", null ],
        [ "Parser with variable arguments", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md95", null ],
        [ "Choice values", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md96", null ]
      ] ],
      [ "Filter", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md97", null ],
      [ "POD layout", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_pod.html#autotoc_md98", null ]
    ] ],
    [ "SPA Buffers", "md__builddir_build_BUILD_pipewire_0_3_28_doc_spa_buffer.html", null ],
    [ "Internals - Mapping between ALSA and streams", "md__builddir_build_BUILD_pipewire_0_3_28_doc_pulseaudio.html", [
      [ "ALSA Cards", "md__builddir_build_BUILD_pipewire_0_3_28_doc_pulseaudio.html#autotoc_md101", null ],
      [ "Streams", "md__builddir_build_BUILD_pipewire_0_3_28_doc_pulseaudio.html#autotoc_md102", null ],
      [ "Session Manager", "md__builddir_build_BUILD_pipewire_0_3_28_doc_pulseaudio.html#autotoc_md103", [
        [ "ALSA UCM", "md__builddir_build_BUILD_pipewire_0_3_28_doc_pulseaudio.html#autotoc_md104", null ],
        [ "ALSA fallback", "md__builddir_build_BUILD_pipewire_0_3_28_doc_pulseaudio.html#autotoc_md105", null ],
        [ "ALSA pulse UCM", "md__builddir_build_BUILD_pipewire_0_3_28_doc_pulseaudio.html#autotoc_md106", null ],
        [ "ALSA pulse fallback", "md__builddir_build_BUILD_pipewire_0_3_28_doc_pulseaudio.html#autotoc_md107", null ]
      ] ],
      [ "PulseAudio", "md__builddir_build_BUILD_pipewire_0_3_28_doc_pulseaudio.html#autotoc_md108", null ]
    ] ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"core_8c.html#ae96b51308a9efc1953690b51e69d1353",
"global_8c.html#a26b8745d75bdc135ac052c3559a65121",
"impl-link_8h.html#a5d9f95f235267d94796735c582702525",
"keys_8h.html#ac353c9d9c3ed50ea98806f63f09f9456",
"mem_8c.html#a277a61f49a8c8e232bb3af723af1fb3f",
"properties_8h.html#af56f609986cd8b84c6b0f25fd6c3835d",
"structhandle.html#ad6b9b2f141cf500ccd3df916da9a0a3a",
"structpw__impl__module__events.html#a4cfcceec669bbbdf6697e36cd5dbae1d",
"structpw__time.html#a1ea3fa77ce4221df0d5ac3ad8fd1f6c7"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';